<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 08/25/2003 *
 * ===============                              Last change: 11/24/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : header.php                                       *
 * -------------------------------------------------------------------- *
 * Short description : Outputs header HTML code, will not when frameset *
 *           is active                                                  *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Gibt nur dann HTML-Code fuer den Kopf-Bereich    *
 *           aus, wenn Frameset nicht aktiv ist                         *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * Needs to be in all Files and every File needs "svn propset           *
 * svn:keywords Date Revision" (autoprobset!) at least!!!!!!            *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	die();
}

// Is the header already sent?
if (($GLOBALS['header_sent'] != 1) && ($GLOBALS['header_sent'] != 2)) {
	// If not in CSS mode generate the header
	if (getOutputMode() != 1) {
		// Config and database connection valid?
		if ((isConfigLocalLoaded()) && (isConfigLoaded()) && (SQL_IS_LINK_UP()) && (isExtensionInstalledAndNewer('sql_patches', '0.1.6'))) {
			// Init title
			$TITLE = '';

			// Title decoration enabled?
			if ((getConfig('enable_title_deco') == 'Y') && (getConfig('title_left') != '')) $TITLE .= trim(getConfig('title_left'))." ";

			// Do we have some extra title?
			if (isExtraTitleSet()) {
				// Then prepent it
				$TITLE .= getExtraTitle() . ' by ';
			} // END - if

			// Add main title
			$TITLE .= getConfig('MAIN_TITLE');

			// Add title of module? (middle decoration will also be added!)
			if ((getConfig('enable_mod_title') == 'Y') || ((!isWhatSet()) && (!isActionSet())) || (getModule() == 'admin')) {
				$TITLE .= ' ' . trim(getConfig('title_middle')) . ' ' . getModuleTitle(getModule());
			} // END - if

			// Add title from what file
			$mode = '';
			if (getModule() == 'login') $mode = 'member';
			elseif (getModule() == 'index') $mode = 'guest';
			if ((!empty($mode)) && (getConfig('enable_what_title') == 'Y')) $TITLE .= " ".trim(getConfig('title_middle'))." ".getModuleDescription($mode, getWhat());

			// Add title decorations? (right)
			if ((getConfig('enable_title_deco') == 'Y') && (getConfig('title_right') != '')) $TITLE .= " ".trim(getConfig('title_right'));

			// Remember title in constant for the template
			$content['header_title'] = $TITLE;
		} elseif ((isInstalled()) && (isAdminRegistered())) {
			// Installed, admin registered but no ext-sql_patches
			$content['header_title'] = '[-- ' . getConfig('MAIN_TITLE').' - '.getModuleTitle(getModule()) . ' --]';
		} elseif ((isInstalled()) && (!isAdminRegistered())) {
			// Installed but no admin registered
			$content['header_title'] = sprintf(getMessage('SETUP_OF_MXCHANGE'), getConfig('MAIN_TITLE'));
		} elseif ((!isInstalled()) || (!isAdminRegistered())) {
			// Installation mode
			$content['header_title'] = getMessage('INSTALLATION_OF_MXCHANGE');
		} else {
			// Configuration not found!
			$content['header_title'] = getMessage('NO_CONFIG_FOUND_TITLE');

			// Do not add the fatal message in installation mode
			if ((!isInstalling()) && (!isConfigLoaded())) addFatalMessage(__FILE__, __LINE__, getMessage('NO_CONFIG_FOUND'));
		}

		// Save some little memory
		unset($TITLE);

		// Output page header code
		loadTemplate('page_header', false, $content);

		// Include meta data in 'guest' module
		if (getModule() == 'index') {
			// Load meta data template
			loadTemplate('metadata');

			// Add meta description to header
			if ((isInstalled()) && (isAdminRegistered()) && (SQL_IS_LINK_UP())) {
				// Add meta description not in admin and login module and when the script is installed
				generateMetaDescriptionCode(getModule(), getWhat());
			} // END - if
		} // END - if

		// Include more header data here
		loadTemplate('header');

		// Include stylesheet
		loadIncludeOnce('inc/stylesheet.php');
	} // END - if

	// Closing HEAD tag
	if (getOutputMode() != 1) outputHtml('</head>');
	if ($GLOBALS['header_sent'] == 0) $GLOBALS['header_sent'] = 1;
} // END - if

// Add BODY tag or not?
if ((getOutputMode() != 1) && (getOutputMode() != -1) && ($GLOBALS['header_sent'] == 1) && ((getModule() != 'frametester') || (isGetRequestElementSet('frame')))) {
	loadTemplate('page_body');
	$GLOBALS['header_sent'] = 2;
} // END - if

// [EOF]
?>
